Subject: Re: linux-next: build failure after merge of the akpm-current tree

From: Michael Ellerman <[email-masked]>
Date: Tue, 27 Oct 2015 09:45:15 +0900

On Mon, 2015-10-26 at 17:00 +0100, Laurent Dufour wrote:
> On 21/10/2015 12:08, Michael Ellerman wrote:
> > On Wed, 2015-10-21 at 16:59 +1100, Stephen Rothwell wrote:
> > > Hi Andrew,
> > > 
> > > After merging the akpm-current tree, today's linux-next build (powerpc
> > > allnoconfig) failed like this:
> > 
> > > arch/powerpc/include/asm/pgtable.h: In function 'pte_pgprot':
> > > arch/powerpc/include/asm/pte-common.h:104:18: error: '_PAGE_SOFT_DIRTY' undeclared (first use in this function)
> > >      _PAGE_EXEC | _PAGE_SOFT_DIRTY)
> > 
> > That's probably my fault, Andrew asked if we wanted to take it via powerpc and
> > I thought "yes" but never actually replied.
> 
> I apologize, that's my mistake, I forgot to test with allnoconfig.
> 
> Michael, should I propose a new version of this patch on linuxppc-dev or
> should I wait for Aneesh's series to be in your next branch ?

Please send an updated version to linuxppc-dev, I probably won't merge it until
Aneesh's series go in but it's still good to have an updated version on the
list.

cheers